org.keycloak.dom.xmlsec.w3.xmldsig

## Class TransformType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.TransformType

-     public class TransformType
      extends Object

  Java class for TransformType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TransformType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <any/>
               <element name="XPath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URI` | `algorithm`
    `protected List<Object>` | `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformType(URI algorithm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransform(Object obj)`
    `URI` | `getAlgorithm()` Gets the value of the algorithm property.
    `List<Object>` | `getContent()` Gets the value of the content property.
    `void` | `removeTransform(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Object> content

    - #### algorithm

          protected URI algorithm

  - ### Constructor Detail

    - #### TransformType

          public TransformType(URI algorithm)

  - ### Method Detail

    - #### addTransform

          public void addTransform(Object obj)

    - #### removeTransform

          public void removeTransform(Object obj)

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      Objects of the following type(s) are allowed in the list `Element` `String` `Object`

    - #### getAlgorithm

          public URI getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.